<?php
require_once 'core/sys.php';
include 'core/func_war.php';
include 'core/func_time.php';
reg();
head('Арена');
echo '<div class="row"><img src="img/mesto/arena.png"></div>';
$arena_time = time()+(60*10); ##10 минуты
if(isset($_GET['add'])){
	if($user['arena_time']>time()){
	$user_arena_t = $user['arena_time']-time();
	echo '<div id="error">Следующий бой возможен через '.Sec2Time($user_arena_t).'</div>';
	foot();
	exit;
	}
	if($user['level']<3){
	echo '<div id="error">На арену можно только с 3-го уровня! :(</div>';
	foot();
	exit;
	}
$test_arena = mysql_query("SELECT * FROM `arena` WHERE `user_id`='".$user['id']."'");
if(mysql_num_rows($test_arena) > 0){
echo '<div id="ok">Заявка принята</div>';
mysql_query("UPDATE `arena` SET `time`=`time`='".time()."',`level`='".$user['level']."' WHERE `user_id`='".$user['id']."'");
}else{
mysql_query("INSERT INTO `arena` SET `user_id`='".$user['id']."',`time`='".time()."',`level`='".$user['level']."'");
header('Location: arena.php');
	}
}elseif(isset($_GET['fight']) and isset($_GET['ank']) and !empty($_GET['ank'])){
if($user['health']<50){
	echo '<div id="error">Вы не можете сражаться когда здоровье меньше 50</div>';
	foot();
	exit;
}
if($user['arena_time']>time()){
	$user_arena_t = $user['arena_time']-time();
	echo '<div id="error">Следующий бой возможен через '.Sec2Time($user_arena_t).'</div>';
	foot();
	exit;
}
/* cражение */
	
$ank_id = int($_GET['ank']);
$test_ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `arena` WHERE `user_id`='".$ank_id."'"));
	if(!$test_ank){
	echo '<div id="error">Пользователь уже сразился</div>';
	foot();
	exit;
	}
if($test_ank['ank_id'] !=0){
	echo '<div id="error">Этот пользователь уже в бою</div>';
	foot();
	exit;
	}
	if($user['id']==$ank_id){
	echo '<div id="error">нельзя :(</div>';
	foot();
	exit;
	}
	
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='".$ank_id."'"));
	if(!$ank){
	echo '<div id="error">Такого пользователя не существует/div>';
	foot();
	exit;
	}
	if($user['level']>$ank['level']){
	echo '<div id="error">Можно сражатся с людьми своего уровня или выше</div>';
	foot();
	exit;
	}
	mysql_query("UPDATE `arena` SET `ank_id`='".$user['id']."' WHERE `user_id`='".$ank_id."'");

	include 'inc/ank_item.php';
	/* Cкладываем предметы СВОЕ*/
	require_once 'inc/user_item.php';
	$arm = 0;
	$arm = $arm+$armor1['defense']+$helmet1['defense']+$shoes1['defense']+$gloves1['defense'];
	
	$defense = $user['defense']+$arm;
	/* Считаем оружие */
	$weapon = $user['strength']+$weapon1['strength'];
		/*--- Питомец ---- СВОЙ*/
	if($user['pet_id']>0){
	$pet = mysql_fetch_assoc(mysql_query("SELECT `name`,`str` FROM `pets` WHERE `id`='".$user['pet_id']."' LIMIT 1"));
	$pet_str  = $pet['str']*$user['pet_lvl'];
	$pet_ur = rand(uron($pet_str),rand_uron($pet_str ));
	$pet_att = array('нанес урон ','ударил на ');
	shuffle($pet_att);
	$rand_pet = 1;
			if($user['pet_lvl']==1){
			$rand_pet = rand(1,3);
			}elseif($user['pet_lvl']==2){
			$rand_pet = rand(1,2);
			}
		if($rand_pet==1){
		echo '<div id="ok">Ваш питомец <b>'.$pet['name'].'</b> '.$pet_att[0].' <b>'.$pet_ur .'</b></div>';
		$weapon+=$pet_ur;
		}else{
		echo '<div id="error">Ваш питомец <b>'.$pet['name'].'</b> испугался и не стал бить :(</div>';
		}
	}
	$my_attack =  rand(uron($weapon),rand_uron($weapon ));
	/* ----- */
	/* Cкладываем предметы ОПОНЕНТА*/
	require_once 'inc/ank_item.php';
	$arm2 = 0;
	$arm2 = $arm2+$armor2['defense']+$helmet2['defense']+$shoes2['defense']+$gloves2['defense'];
	
	$defense_ank = $ank['defense']+$arm2;
	/* Считаем оружие */
	$weapon_ank = $ank['strength']+$weapon2['strength'];
			/*--- Питомец ---- СВОЙ*/
	if($ank['pet_id']>0){
	$pet_ank = mysql_fetch_assoc(mysql_query("SELECT `name`,`str` FROM `pets` WHERE `id`='".$ank['pet_id']."' LIMIT 1"));
	$pet_str_ank  = $pet_ank['str']*$ank['pet_lvl'];
	$pet_ur_ank = rand(uron($pet_str_ank),rand_uron($pet_str_ank ));
	$rand_pet_ank = 1;
			if($ank['pet_lvl']==1){
			$rand_pet_ank = rand(1,3);
			}elseif($ank['pet_lvl']==2){
			$rand_pet_ank = rand(1,2);
			}
		if($rand_pet==1){
		$weapon_ank+=$pet_ur_ank;
		}
		}
		/* ---------- */
	$ank_attack =  rand(uron($weapon_ank),rand_uron($weapon_ank));
	/* ----- */
	$uron_user = uron_po_def($my_attack,$defense_ank );
	$uron_ank = uron_po_def($ank_attack,$defense );
	
				/* создаем удачу */
				if($uron_ank == $uron_user){
				$udacha = rand(1,2);
				if($udacha==1){
				$uron_ank = $uron_ank+2;
				}else{
				$uron_user= $uron_user+2;
				}
				}
			echo '<div class="name">';
			$arr_win_text = array('расправился c ','избил ','победил ','одержал победу над ','намял бока ');
			shuffle($arr_win_text);
		if($uron_user > $uron_ank){
		$nagrada = 20*$ank['level'];
		echo '<font color="green">Вы победили и нанесли больший урон!</font><br>';
		echo 'Ваша награда <img src="img/money/money.png"> '.$nagrada.'<br>';
		/* Ивент снег */
		if($set['ivent_sneg']>0){
			$rand_sneg = rand(1,3);
			if($rand_sneg==2){
			$rand_sneg_a = rand(4,6);
			mysql_query("UPDATE `users` SET `sneg`=`sneg`+".$rand_sneg_a." WHERE `id`='".$user['id']."'");
			echo '<div class="row">+ '.$rand_sneg_a.' <img src="img/ivent/sneg.png"> снежинки</div>';
			}
		}
		######################
			mysql_query("INSERT INTO `arena_log` SET 
		`text`='<b>".$user['login']."</b> ".$arr_win_text[0]." <b>".$ank['login']."</b>',
		`time`='".time()."'");
		mysql_query("INSERT INTO `journal` SET 
		`user_id`='".$user['id']."',
		`text`='Вы победили на арене <b>".$ank['login']."</b>.Ваша награда <img src=\"img/money/money.png\"> ".$nagrada." ',
		`time`='".time()."'");
		mysql_query("UPDATE `users` SET 
		`money`=`money`+".$nagrada.",
		`win`=`win`+1,
		`arena_time`='".$arena_time."',
		`journal`=`journal`+1
		WHERE `id`='".$user['id']."'");
		mysql_query("UPDATE `users` SET `not_win`=`not_win`+1 WHERE `id`='".$ank['id']."'");
		}elseif($uron_ank > $uron_user ){
		$nagrada = 20*$user['level'];
		mysql_query("INSERT INTO `arena_log` SET 
		`text`='<b>".$ank['login']."</b> ".$arr_win_text[0]." <b>".$user['login']."</b>',
		`time`='".time()."'");
		mysql_query("INSERT INTO `journal` SET 
		`user_id`='".$ank['id']."',
		`text`='Вы победили на арене <b>".$user['login']."</b>.Ваша награда <img src=\"img/money/money.png\"> ".$nagrada." ',
		`time`='".time()."'");
		mysql_query("UPDATE `users` SET 
		`money`=`money`+".$nagrada.",
		`win`=`win`+1,
		`arena_time`='".$arena_time."',
		`journal`=`journal`+1
		WHERE `id`='".$ank['id']."'");
				/* Ивент снег */
		if($set['ivent_sneg']>0){
			$rand_sneg = rand(1,3);
			if($rand_sneg==2){
			$rand_sneg_a = rand(4,7);
			mysql_query("UPDATE `users` SET `sneg`=`sneg`+".$rand_sneg_a." WHERE `id`='".$ank['id']."'");
			echo '<div class="row">+ '.$rand_sneg_a.' <img src="img/ivent/sneg.png"> снежинки</div>';
			mysql_query("INSERT INTO `journal` SET 
			`user_id`='".$ank['id']."',
			`text`='+ ".$rand_sneg_a." <img src=\"img/ivent/sneg.png\"> снежинки ',
			`time`='".time()."'");
			}
		}
		######################
		mysql_query("UPDATE `users` SET `not_win`=`not_win`+1 WHERE `id`='".$user['id']."'");
		echo '<font color="orange">Вы проиграли и нанесли меньший урон :(</font><br>';
			if($uron_ank > $user['health']){
			mysql_query("UPDATE `users` SET 
			`health`=0,
			`health_resp`='".time()."'
			WHERE `id`='".$user['id']."'");
			}else{
			mysql_query("UPDATE `users` SET 
			`health`=`health`-'".$uron_ank."',
			`health_resp`='".time()."'
			WHERE `id`='".$user['id']."'");
			}
		}
			
			
	echo 'Мой урон: '.$uron_user .'<br>';
	echo 'Урон <b>'.$ank['login'].'</b>: '.$uron_ank.'<br>';
	echo 'Мое здоровье: '.$user['health'] .'<br>';
	echo 'Здоровье <b>'.$ank['login'].'</b>: '.$ank['health'].'<br>
	<a href="arena.php">Арена</a></div>';
mysql_query("DELETE FROM `arena` WHERE `user_id`='".$ank['id']."'");


}else{
echo '<div class="name"><a href="arena.php?add">Подать заявку</a><br></div>';
$arena_q =  mysql_query("SELECT * FROM `arena` WHERE `ank_id`=0 AND `level` >= '".$user['level']."' ORDER BY `time` DESC LIMIT ".$page.",".$set['str']."  ");
$total = mysql_num_rows(mysql_query("SELECT `id` FROM `arena` WHERE `ank_id`=0 AND `level` >='".$user['level']."'"));
$kazna_us_q = mysql_fetch_assoc(mysql_query("SELECT `login`,`id` FROM `users` ORDER BY `win` DESC LIMIT 1"));
echo '<div class="name">Альфа-Одаренный: <a href="pers.php?ank='.$kazna_us_q['id'].'">'.$kazna_us_q['login'].'</a></div>';
if($total==0){
	echo '<div class="row">Игроков твоего уровня нет на арене. Подай заявку и обязательно кто-то сразится с тобой!</div>';
}
while($row = mysql_fetch_assoc($arena_q)){
$ank = mysql_fetch_assoc(mysql_query("SELECT `login`,`time`,`level`,`win`,`not_win` FROM `users` WHERE `id`='".$row['user_id']."'"));
echo '<div class="row">';
echo '<a href="pers.php?ank='.$row['user_id'].'">'.$ank['login'].'</a><br>
Уровень: '.$ank['level'].'<br>
Побед: '.$ank['win'].'<br> 
Поражений: '.$ank['not_win'].'<br>';
if($user['id'] != $row['user_id']){
echo '<a href="arena.php?fight&ank='.$row['user_id'].'">сразиться</a><br>';
}
echo '</div>';
}
  if($total > $set['str'])
	{
		pages($page, $total, 'arena.php?&amp;', $set['str']);
	}
	$log_test = mysql_result(mysql_query("SELECT COUNT(id) FROM `arena_log`"),0);
	echo '<div class="row">';
		if($log_test>0){
		$arena_log_q = mysql_query("SELECT * FROM `arena_log` ORDER BY `id` DESC LIMIT 10");
		
			while($arena_log = mysql_fetch_assoc($arena_log_q)){
			echo '['.clock($arena_log['time']).'] '.$arena_log['text'].'<br>';
			}
		}
		echo '</div>';
}
foot();
?>